Subject: [os2genau_digest] No. 460
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 3 Oct 2002 00:02:02 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 02 October 2002
 Number  460
**************************************************

Subjects for today
 
1  Re: [os2genau] Next meeting? : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
2  Re: [os2genau] Next meeting? : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
3  Re: [os2genau] IBM Browser/2 v 2.0 : David Forrester" <davidfor at internode.on dot net>
4  [os2genau] DDNS & DHCP with Win2K not working : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
5  Re: [os2genau] DDNS & DHCP with Win2K not working : Ed Durrant <edurrant at bigpond dot net dot au>
6  [os2genau] Problems with IBM Browser v 2.0 : Ed Durrant <edurrant at bigpond dot net dot au>
7  Re: [os2genau] Problems with IBM Browser v 2.0 : Paul Smedley" <paul at smedley.info>
8  Re: [os2genau] DDNS & DHCP with Win2K not working : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>

**= Email   1 ==========================**

Date:  Wed, 02 Oct 2002 09:49:43 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re: [os2genau] Next meeting?

On Mon, 30 Sep 2002 11:27:49 +1000 (EST), Ian Manners wrote:

>Hi Chris
>
>>	I'd like to know when the next meeting is, as I'd love some help
>>with the DDNS and DHCP working with Win2K. The DHCP bit works, but the
>>DDNS bit isn't.
>
>Date:   Tuesday, 22nd October 2002
>Time:  6:30PM - 9:30PM
>Place:  Melbourne PC Group
>           Victoria, Australia.

Ta!

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 02 Oct 2002 09:52:15 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re: [os2genau] Next meeting?

On Mon, 30 Sep 2002 19:20:21 +1000, Ed Durrant wrote:

>If you're running OS/2 DDNS server, I suspect Windows 2000's AD
>won't work with it (ie use it). 
>
>Can you clarify if you're talking about DDNS client on OS/2 Warp
>talking to a W2k server, and if so is your W2k domain running in
>Native or Mixed mode and if the latter do you have the WinNT
>compatibility option (PDC emulator Operations master)on the domain
>controller ?
>
>Or are you talking about DDNS runing on an OS/2 Warp Server for
>e-business machine, possibly along with DNS and DHCP, to support
>Win2k Professional clients ?

Yup.

I have the WSeB DC running DDNS and DHCP.

I have Win2K Prof on my IBM TP20p.

It can request (and get successfully assigned) an IP address, so I think
that the DHCP bit is working. But the DDNS update is failing. There is an
error listed (ie, an error occured) but it does not detail exactly just
what it is.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 02 Oct 2002 09:59:21 +1000 (EST)
From:  "David Forrester" <davidfor at internode.on dot net>
Subject:  Re: [os2genau] IBM Browser/2 v 2.0

On Tue, 01 Oct 2002 21:34:26 +1000, Ed Durrant wrote:

>Has anyone apart from me, tried the new (Mozilla 1.1 based) IBM
>browser yet ? 

Just being picky: It's based on 1.0.1.  And for those of us without
Software Choice, Mike Kaply has just put up a Mozilla 1.0.1.

--
David Forrester
davidfor at internode.on dot net
http://www.os2world dot com/djfos2/

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 02 Oct 2002 11:38:15 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  [os2genau] DDNS & DHCP with Win2K not working

On Wed, 02 Oct 2002 09:52:15 +1000 (EST), Chris Graham [WarpSpeed] wrote:

>On Mon, 30 Sep 2002 19:20:21 +1000, Ed Durrant wrote:
>
>>If you're running OS/2 DDNS server, I suspect Windows 2000's AD
>>won't work with it (ie use it). 
>>
>>Can you clarify if you're talking about DDNS client on OS/2 Warp
>>talking to a W2k server, and if so is your W2k domain running in
>>Native or Mixed mode and if the latter do you have the WinNT
>>compatibility option (PDC emulator Operations master)on the domain
>>controller ?
>>
>>Or are you talking about DDNS runing on an OS/2 Warp Server for
>>e-business machine, possibly along with DNS and DHCP, to support
>>Win2k Professional clients ?
>
>Yup.
>
>I have the WSeB DC running DDNS and DHCP.
>
>I have Win2K Prof on my IBM TP20p.
>
>It can request (and get successfully assigned) an IP address, so I think
>that the DHCP bit is working. But the DDNS update is failing. There is an
>error listed (ie, an error occured) but it does not detail exactly just
>what it is.

Here is the output of NSUPDATE as it runs:

StartMainQueueThread started
Error opening file
...0..
MianQ.. Wait ...

Then, when a real DHCP request comes along

1:33:06 2002
Size of mainQ is 1
CMainQueue::Run waken up...going to work.
deleted from mainq -r203.27.78.160
Added to aurora.warpspeed dot com dot au queue -r203.27.78.160 with transid
1033572786 a
t entrytime Wed Oct  2 11:33:06 2002
Size of queue aurora.warpspeed dot com dot au is 1
signalled the mainQ thread
...0..
CRetryServer::Retry aurora.warpspeed dot com dot au active
MianQ.. Wait ...
...0..
CRetryServer::Retry aurora.warpspeed dot com dot au active
Process: item from aurora.warpspeed dot com dot au with transid = 1033572786
posted event sem rc = 0
--- NSUPDATE Utility ---
---
InitDDNSUpdate ...rc = -1, rc2 = 10035  10035
.... succeeded ...
DDNSUpdate_PTR (Delete *) ...succeeded
DDNSUpdate_PTR (Add THINKPADA20.warpspeed dot com dot au) ...succeeded
DDNSSignUpdate ...succeeded
DNSSendUpdate ...failed(5)
do_request: prcessReq returned5

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 02 Oct 2002 19:19:34 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] DDNS & DHCP with Win2K not working

Well the line

DNSSendUpdate ...failed(5)

is obviously the relevant one.

Does DDNS update work when using an OS/2 client ?  If so then we
have an incompatibility between the platforms. If the OS/2 client
doesn't work either, then it's possibly the DDNS config.

Ed.

"Chris Graham [WarpSpeed]" wrote:
> 
> On Wed, 02 Oct 2002 09:52:15 +1000 (EST), Chris Graham [WarpSpeed] wrote:
> 
> >On Mon, 30 Sep 2002 19:20:21 +1000, Ed Durrant wrote:
> >
> >>If you're running OS/2 DDNS server, I suspect Windows 2000's AD
> >>won't work with it (ie use it).
> >>
> >>Can you clarify if you're talking about DDNS client on OS/2 Warp
> >>talking to a W2k server, and if so is your W2k domain running in
> >>Native or Mixed mode and if the latter do you have the WinNT
> >>compatibility option (PDC emulator Operations master)on the domain
> >>controller ?
> >>
> >>Or are you talking about DDNS runing on an OS/2 Warp Server for
> >>e-business machine, possibly along with DNS and DHCP, to support
> >>Win2k Professional clients ?
> >
> >Yup.
> >
> >I have the WSeB DC running DDNS and DHCP.
> >
> >I have Win2K Prof on my IBM TP20p.
> >
> >It can request (and get successfully assigned) an IP address, so I think
> >that the DHCP bit is working. But the DDNS update is failing. There is an
> >error listed (ie, an error occured) but it does not detail exactly just
> >what it is.
> 
> Here is the output of NSUPDATE as it runs:
> 
> StartMainQueueThread started
> Error opening file
> ..0..
> MianQ.. Wait ...
> 
> Then, when a real DHCP request comes along
> 
> 1:33:06 2002
> Size of mainQ is 1
> CMainQueue::Run waken up...going to work.
> deleted from mainq -r203.27.78.160
> Added to aurora.warpspeed dot com dot au queue -r203.27.78.160 with transid
> 1033572786 a
> t entrytime Wed Oct  2 11:33:06 2002
> Size of queue aurora.warpspeed dot com dot au is 1
> signalled the mainQ thread
> ..0..
> CRetryServer::Retry aurora.warpspeed dot com dot au active
> MianQ.. Wait ...
> ..0..
> CRetryServer::Retry aurora.warpspeed dot com dot au active
> Process: item from aurora.warpspeed dot com dot au with transid = 1033572786
> posted event sem rc = 0
> --- NSUPDATE Utility ---
> ---
> InitDDNSUpdate ...rc = -1, rc2 = 10035  10035
> ... succeeded ...
> DDNSUpdate_PTR (Delete *) ...succeeded
> DDNSUpdate_PTR (Add THINKPADA20.warpspeed dot com dot au) ...succeeded
> DDNSSignUpdate ...succeeded
> DNSSendUpdate ...failed(5)
> do_request: prcessReq returned5
> 
> -Chris
> 
> WarpSpeed Computers - The Graham Utilities for OS/2.
> Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
> FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
> BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
> 300-28,800  N,8,1 ANSI   Australia    Web Page:
>                                       http://www.warpspeed dot com dot au
> 

>  

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Wed, 02 Oct 2002 20:45:30 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  [os2genau] Problems with IBM Browser v 2.0

Following delete and re-install of the new IBM Web Browser as was
suggested on this list, the program still does not start. It now
reports a demand load failure on one of its modules.

The previous version installed and ran without problems. Is this
progress ?

For those who had got the Browser to work, did you have to do
anything other than run install.exe ??

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Wed, 02 Oct 2002 21:09:10 -0400 (EDT)
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re: [os2genau] Problems with IBM Browser v 2.0

Ed,
You don't have mozilla or anything in Startup with -turbo?

IWB 2.0 works fine here - although I still tend to use Mozilla 1.2 most of the time...

Regards,

Paul.

On Wed, 02 Oct 2002 20:45:30 +1000, Ed Durrant wrote:

>Following delete and re-install of the new IBM Web Browser as was
>suggested on this list, the program still does not start. It now
>reports a demand load failure on one of its modules.
>
>The previous version installed and ran without problems. Is this
>progress ?
>
>For those who had got the Browser to work, did you have to do
>anything other than run install.exe ??
>
>Cheers/2
>
>Ed.

> 

>

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Wed, 02 Oct 2002 21:50:17 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re: [os2genau] DDNS & DHCP with Win2K not working

On Wed, 02 Oct 2002 19:19:34 +1000, Ed Durrant wrote:

>Well the line
>
>DNSSendUpdate ...failed(5)
>
>is obviously the relevant one.
>
>Does DDNS update work when using an OS/2 client ?  If so then we
>have an incompatibility between the platforms. If the OS/2 client
>doesn't work either, then it's possibly the DDNS config.

I've not checked. I'll see if I can set one up (an OS/2 client that is).

-Chris

>Ed.
>
>"Chris Graham [WarpSpeed]" wrote:
>> 
>> On Wed, 02 Oct 2002 09:52:15 +1000 (EST), Chris Graham [WarpSpeed] wrote:
>> 
>> >On Mon, 30 Sep 2002 19:20:21 +1000, Ed Durrant wrote:
>> >
>> >>If you're running OS/2 DDNS server, I suspect Windows 2000's AD
>> >>won't work with it (ie use it).
>> >>
>> >>Can you clarify if you're talking about DDNS client on OS/2 Warp
>> >>talking to a W2k server, and if so is your W2k domain running in
>> >>Native or Mixed mode and if the latter do you have the WinNT
>> >>compatibility option (PDC emulator Operations master)on the domain
>> >>controller ?
>> >>
>> >>Or are you talking about DDNS runing on an OS/2 Warp Server for
>> >>e-business machine, possibly along with DNS and DHCP, to support
>> >>Win2k Professional clients ?
>> >
>> >Yup.
>> >
>> >I have the WSeB DC running DDNS and DHCP.
>> >
>> >I have Win2K Prof on my IBM TP20p.
>> >
>> >It can request (and get successfully assigned) an IP address, so I think
>> >that the DHCP bit is working. But the DDNS update is failing. There is an
>> >error listed (ie, an error occured) but it does not detail exactly just
>> >what it is.
>> 
>> Here is the output of NSUPDATE as it runs:
>> 
>> StartMainQueueThread started
>> Error opening file
>> ..0..
>> MianQ.. Wait ...
>> 
>> Then, when a real DHCP request comes along
>> 
>> 1:33:06 2002
>> Size of mainQ is 1
>> CMainQueue::Run waken up...going to work.
>> deleted from mainq -r203.27.78.160
>> Added to aurora.warpspeed dot com dot au queue -r203.27.78.160 with transid
>> 1033572786 a
>> t entrytime Wed Oct  2 11:33:06 2002
>> Size of queue aurora.warpspeed dot com dot au is 1
>> signalled the mainQ thread
>> ..0..
>> CRetryServer::Retry aurora.warpspeed dot com dot au active
>> MianQ.. Wait ...
>> ..0..
>> CRetryServer::Retry aurora.warpspeed dot com dot au active
>> Process: item from aurora.warpspeed dot com dot au with transid = 1033572786
>> posted event sem rc = 0
>> --- NSUPDATE Utility ---
>> ---
>> InitDDNSUpdate ...rc = -1, rc2 = 10035  10035
>> ... succeeded ...
>> DDNSUpdate_PTR (Delete *) ...succeeded
>> DDNSUpdate_PTR (Add THINKPADA20.warpspeed dot com dot au) ...succeeded
>> DDNSSignUpdate ...succeeded
>> DNSSendUpdate ...failed(5)
>> do_request: prcessReq returned5
>> 
>> -Chris
>> 
>> WarpSpeed Computers - The Graham Utilities for OS/2.
>> Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
>> FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
>> BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
>> 300-28,800  N,8,1 ANSI   Australia    Web Page:
>>                                       http://www.warpspeed dot com dot au
>> 
>
>>  
>

> 

>

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------